package com.zjrs.zwnw.zj.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@TableName(value = "RS_ZJ_GCCRC_QF")
@ApiModel(value="GccrcQfPO对象", description="高层次人才认定签发表")
public class GccrcQfPO {
    @ApiModelProperty(value = "高层次人才认定历史表id")
    @TableId(value = "RS_ZJ_GCCRC_QF_LSH", type = IdType.ASSIGN_UUID)
    private String rsZjGccrcQfLsh;

    @ApiModelProperty(value = "高层次人才认定id")
    @TableField("RS_ZJ_GCCRC_LSH")
    private String rsZjGccrcLsh;

    @ApiModelProperty(value = "签发时间")
    @TableField("QFSJ")
    private String qfsj;

    @ApiModelProperty(value = "签发人")
    @TableField("QFR")
    private String qfr;

    @ApiModelProperty(value = "电子照片统一存储id")
    @TableField("TYCCID")
    private String tyccid;

    @ApiModelProperty(value = "国籍")
    @TableField("AAC161")
    private String gj;

    @ApiModelProperty(value = "姓名")
    @TableField("AAC003")
    private String xm;

    @ApiModelProperty(value = "证件类型")
    @TableField("AAC058")
    private String zjlx;

    @ApiModelProperty(value = "证件号码")
    @TableField("AAC147")
    private String zjhm;

    @ApiModelProperty(value = "人才卡类型")
    @TableField("RCKLX")
    private String rcklx;

    @ApiModelProperty(value = "单位名称")
    @TableField("DWMC")
    private String dwmc;

    @ApiModelProperty(value = "有效日期")
    @TableField("YXRQ")
    private String yxrq;

    @ApiModelProperty(value = "人才卡号码")
    @TableField("RCKHM")
    private String rckhm;

    @ApiModelProperty(value = "有效标志")
    @TableField("TS_YXBZ")
    private String yxbz;

    @ApiModelProperty(value = "公示期数")
    @TableField("GSQS")
    private String gsqs;


    public String getRsZjGccrcQfLsh() {
        return rsZjGccrcQfLsh;
    }

    public void setRsZjGccrcQfLsh(String rsZjGccrcQfLsh) {
        this.rsZjGccrcQfLsh = rsZjGccrcQfLsh;
    }

    public String getRsZjGccrcLsh() {
        return rsZjGccrcLsh;
    }

    public void setRsZjGccrcLsh(String rsZjGccrcLsh) {
        this.rsZjGccrcLsh = rsZjGccrcLsh;
    }

    public String getQfsj() {
        return qfsj;
    }

    public void setQfsj(String qfsj) {
        this.qfsj = qfsj;
    }

    public String getQfr() {
        return qfr;
    }

    public void setQfr(String qfr) {
        this.qfr = qfr;
    }

    public String getTyccid() {
        return tyccid;
    }

    public void setTyccid(String tyccid) {
        this.tyccid = tyccid;
    }

    public String getGj() {
        return gj;
    }

    public void setGj(String gj) {
        this.gj = gj;
    }

    public String getXm() {
        return xm;
    }

    public void setXm(String xm) {
        this.xm = xm;
    }

    public String getZjhm() {
        return zjhm;
    }

    public void setZjhm(String zjhm) {
        this.zjhm = zjhm;
    }

    public String getRcklx() {
        return rcklx;
    }

    public void setRcklx(String rcklx) {
        this.rcklx = rcklx;
    }

    public String getDwmc() {
        return dwmc;
    }

    public void setDwmc(String dwmc) {
        this.dwmc = dwmc;
    }

    public String getYxrq() {
        return yxrq;
    }

    public void setYxrq(String yxrq) {
        this.yxrq = yxrq;
    }

    public String getRckhm() {
        return rckhm;
    }

    public void setRckhm(String rckhm) {
        this.rckhm = rckhm;
    }

    public String getYxbz() {
        return yxbz;
    }

    public void setYxbz(String yxbz) {
        this.yxbz = yxbz;
    }

    public String getZjlx() {
        return zjlx;
    }

    public void setZjlx(String zjlx) {
        this.zjlx = zjlx;
    }

    public String getGsqs() {
        return gsqs;
    }

    public void setGsqs(String gsqs) {
        this.gsqs = gsqs;
    }
}
